<?php

namespace App\Livewire;

use Livewire\Component;
use App\Models\Project;
use App\Models\Folder;

class Toolbar extends Component
{

    public Project $project;
    public ?Folder $currentFolder;

    public function mount(Project $project, Folder $currentFolder = null)
    {
        $this->project = $project;
        $this->currentFolder = $currentFolder;
    }

    public function render()
    {
        return view('livewire.toolbar');
    }
}
